Initiate Login with Passkey

Begins the login process using a Passkey.

GET
/identity/v2/auth/login/passkey/begin

Begins the login process using a Passkey.

apikey<token>

Tenant API Key for authentication

In: query

Query Parameters

identifier*string

Email of the User

verificationurl?string

Verification URL for the User which will be included in the Email template..

emailtemplate?string

Name of the Email template to use for this notification.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/identity/v2/auth/login/passkey/begin?identifier=test%40example.com&verificationurl=https%3A%2F%2Fexample.com%2Fverify%3Ftoken%3D123456&emailtemplate=Email-Template"
{
  "LoginBeginCredential": {
    "publicKey": {
      "challenge": "F8e3QHkHo-vlv-3R09qOfmBDY8A9GrqYK9hVujdjGHE",
      "rpId": "login2website.com",
      "allowCredentials": [
        {
          "type": "public-key",
          "id": "bzsKo52E6_sh5mCC3FjB_w",
          "transports": [
            "internal"
          ]
        }
      ],
      "timeout": 60000,
      "userVerification": "preferred",
      "extensions": {
        "appid": "https://example.com",
        "exampleExtension": "some-value"
      }
    }
  }
}

{
  "ErrorCode": 908,
  "Message": "A parameter is not formatted correctly",
  "Description": "The apikey is a required parameter."
}

{
  "errorCode": 1409,
  "message": "Authentication failed",
  "description": "The credentials provided could not be authenticated."
}

{
  "ErrorCode": 901,
  "Message": "The API key is unauthorized",
  "Description": "The provided LoginRadius API key is invalid or is not authorized, please use a valid or authorized LoginRadius API key or check the API key for your LoginRadius account."
}